--- title: "Get Action's Activation Detail" slug: "compute-cloudfunctions-v2-getactionactivationdetail" tags: ["Cloud Functions"] updated: 2026-09-17T10:05:57Z published: 2026-09-17T10:05:57Z canonical: "api.ncloud-docs.com/compute-cloudfunctions-v2-getactionactivationdetail" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Action's Activation Detail Available in Classic and VPC Get details of the execution results of a Cloud Functions action. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /ncf/api/v2/packages/{packageName}/actions/{actionName}/activations/{activationId} | Note Singapore and Japan Regions are available only in the VPC environment. ### Request headers For information about the headers common to all Cloud Functions APIs, see [Cloud Functions request headers](/docs/en/compute-cloudfunctions#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `packageName` | String | Required | Package name - Enter the special character "-" for actions that are not part of a package. | | `actionName` | String | Required | Action name | | `activationId` | String | Required | Execution result ID | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `platform` | String | Optional | Platform type - `vpc` (default) \| `classic` | ### Request example The request example is as follows: ``` curl -X GET 'https://cloudfunctions.apigw.ntruss.com/ncf/api/v2/packages/{packageName}/actions/{actionName}/activations/{activationId}?platform=vpc' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | Field | Type | Required | Description | | :--- | :--- | :--- | :--- | | `content` | Object | - | Action execution details | | `content.activationId` | String | - | Action execution history ID | | `content.duration` | Integer | - | Action execution time (millisecond) | | `content.start` | Integer | - | Action execution start time (millisecond) - Unix timestamp format | | `content.end` | Integer | - | Action execution end time (millisecond) - Unix timestamp format | | `content.logs` | String[] | - | Action log | | `content.name` | String | - | Action name | | `content.namespace` | String | - | Namespace of the user | | `content.response` | Object | - | Action activation result information | | `content.response.result` | Object | - | Action execution result | | `content.response.result.payload` | String | - | Main function return value for action execution results | | `content.response.status` | String | - | Action status | | `content.response.success` | Boolean | - | Action execution success status - `true` \| `false` - `true`: Success - `false`: Failure | | `content.subject` | String | - | Information of the user that executed the action | ### Response status codes For information about the HTTP status codes common to all Cloud Functions APIs, see [Cloud Functions response status codes](/docs/en/compute-cloudfunctions#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "activationId": "***fe30d270d4bc29fe30d270debc2f7", "duration": 3, "end": 1713936450102, "logs": [], "name": "mypackage/myaction", "namespace": "***QK06kFG8C", "response": { "result": { "payload": "abc" }, "status": "success", "success": true }, "start": 1713936450099, "subject": "***QK06kFG8C" } } ```